#
# Generated Makefile - do not edit!
#
# Edit the Makefile in the project folder instead (../Makefile). Each target
# has a -pre and a -post target defined where you can add customized code.
#
# This makefile implements configuration specific macros and targets.


# Environment
MKDIR=mkdir
CP=cp
GREP=grep
NM=nm
CCADMIN=CCadmin
RANLIB=ranlib
CC=gcc
CCC=g++
CXX=g++
FC=gfortran
AS=as

# Macros
CND_PLATFORM=MinGW-Windows
CND_DLIB_EXT=dll
CND_CONF=Debug
CND_DISTDIR=dist
CND_BUILDDIR=build

# Include project Makefile
include Makefile

# Object Directory
OBJECTDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}

# Object Files
OBJECTFILES= \
	${OBJECTDIR}/_ext/661d15e3/juce_core.o \
	${OBJECTDIR}/_ext/4ba2051/juce_data_structures.o \
	${OBJECTDIR}/_ext/56f5c65d/juce_events.o \
	${OBJECTDIR}/_ext/660a4ecf/juce_graphics.o \
	${OBJECTDIR}/_ext/7a97f8cd/juce_gui_basics.o \
	${OBJECTDIR}/_ext/1cef5448/juce_gui_extra.o \
	${OBJECTDIR}/_ext/67b1adf3/juce_opengl.o \
	${OBJECTDIR}/Source/DrawComponent.o \
	${OBJECTDIR}/Source/Main.o \
	${OBJECTDIR}/Source/MainComponent.o \
	${OBJECTDIR}/Source/Rbm.o \
	${OBJECTDIR}/Source/RbmComponent.o \
	${OBJECTDIR}/Source/noise.o


# C Compiler Flags
CFLAGS=-m32

# CC Compiler Flags
CCFLAGS=-m32 -O0 -march=native -mwindows -DDISPID_NEWWINDOW3=0 -U__STRICT_ANSI__ -g
CXXFLAGS=-m32 -O0 -march=native -mwindows -DDISPID_NEWWINDOW3=0 -U__STRICT_ANSI__ -g

# Fortran Compiler Flags
FFLAGS=

# Assembler Flags
ASFLAGS=

# Link Libraries and Options
LDLIBSOPTIONS=

# Build Targets
.build-conf: ${BUILD_SUBPROJECTS}
	"${MAKE}"  -f nbproject/Makefile-${CND_CONF}.mk ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/rbm.exe

${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/rbm.exe: ${OBJECTFILES}
	${MKDIR} -p ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}
	${LINK.cc} -o ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/rbm ${OBJECTFILES} ${LDLIBSOPTIONS} -static-libstdc++ -static-libgcc -mwindows -lwininet -lwinmm -limm32 -lshlwapi -lcomdlg32 -lgdi32 -lole32 -loleaut32 -lversion -lwsock32 -liphlpapi -luuid -lws2_32 -lopengl32

${OBJECTDIR}/_ext/661d15e3/juce_core.o: ../../../extLib/JUCE/modules/juce_core/juce_core.cpp nbproject/Makefile-${CND_CONF}.mk
	${MKDIR} -p ${OBJECTDIR}/_ext/661d15e3
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DDEBUG=1 -DEIGEN_DONT_ALIGN -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 -DWIN32 -D_WINDOWS -Dfir_float_t=float -Dradio_float_t=float -IJuceLibraryCode -ISource -I../../../extLib/eigen3 -I../../../extLib/JUCE -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/661d15e3/juce_core.o ../../../extLib/JUCE/modules/juce_core/juce_core.cpp

${OBJECTDIR}/_ext/4ba2051/juce_data_structures.o: ../../../extLib/JUCE/modules/juce_data_structures/juce_data_structures.cpp nbproject/Makefile-${CND_CONF}.mk
	${MKDIR} -p ${OBJECTDIR}/_ext/4ba2051
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DDEBUG=1 -DEIGEN_DONT_ALIGN -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 -DWIN32 -D_WINDOWS -Dfir_float_t=float -Dradio_float_t=float -IJuceLibraryCode -ISource -I../../../extLib/eigen3 -I../../../extLib/JUCE -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/4ba2051/juce_data_structures.o ../../../extLib/JUCE/modules/juce_data_structures/juce_data_structures.cpp

${OBJECTDIR}/_ext/56f5c65d/juce_events.o: ../../../extLib/JUCE/modules/juce_events/juce_events.cpp nbproject/Makefile-${CND_CONF}.mk
	${MKDIR} -p ${OBJECTDIR}/_ext/56f5c65d
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DDEBUG=1 -DEIGEN_DONT_ALIGN -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 -DWIN32 -D_WINDOWS -Dfir_float_t=float -Dradio_float_t=float -IJuceLibraryCode -ISource -I../../../extLib/eigen3 -I../../../extLib/JUCE -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/56f5c65d/juce_events.o ../../../extLib/JUCE/modules/juce_events/juce_events.cpp

${OBJECTDIR}/_ext/660a4ecf/juce_graphics.o: ../../../extLib/JUCE/modules/juce_graphics/juce_graphics.cpp nbproject/Makefile-${CND_CONF}.mk
	${MKDIR} -p ${OBJECTDIR}/_ext/660a4ecf
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DDEBUG=1 -DEIGEN_DONT_ALIGN -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 -DWIN32 -D_WINDOWS -Dfir_float_t=float -Dradio_float_t=float -IJuceLibraryCode -ISource -I../../../extLib/eigen3 -I../../../extLib/JUCE -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/660a4ecf/juce_graphics.o ../../../extLib/JUCE/modules/juce_graphics/juce_graphics.cpp

${OBJECTDIR}/_ext/7a97f8cd/juce_gui_basics.o: ../../../extLib/JUCE/modules/juce_gui_basics/juce_gui_basics.cpp nbproject/Makefile-${CND_CONF}.mk
	${MKDIR} -p ${OBJECTDIR}/_ext/7a97f8cd
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DDEBUG=1 -DEIGEN_DONT_ALIGN -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 -DWIN32 -D_WINDOWS -Dfir_float_t=float -Dradio_float_t=float -IJuceLibraryCode -ISource -I../../../extLib/eigen3 -I../../../extLib/JUCE -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/7a97f8cd/juce_gui_basics.o ../../../extLib/JUCE/modules/juce_gui_basics/juce_gui_basics.cpp

${OBJECTDIR}/_ext/1cef5448/juce_gui_extra.o: ../../../extLib/JUCE/modules/juce_gui_extra/juce_gui_extra.cpp nbproject/Makefile-${CND_CONF}.mk
	${MKDIR} -p ${OBJECTDIR}/_ext/1cef5448
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DDEBUG=1 -DEIGEN_DONT_ALIGN -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 -DWIN32 -D_WINDOWS -Dfir_float_t=float -Dradio_float_t=float -IJuceLibraryCode -ISource -I../../../extLib/eigen3 -I../../../extLib/JUCE -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/1cef5448/juce_gui_extra.o ../../../extLib/JUCE/modules/juce_gui_extra/juce_gui_extra.cpp

${OBJECTDIR}/_ext/67b1adf3/juce_opengl.o: ../../../extLib/JUCE/modules/juce_opengl/juce_opengl.cpp nbproject/Makefile-${CND_CONF}.mk
	${MKDIR} -p ${OBJECTDIR}/_ext/67b1adf3
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DDEBUG=1 -DEIGEN_DONT_ALIGN -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 -DWIN32 -D_WINDOWS -Dfir_float_t=float -Dradio_float_t=float -IJuceLibraryCode -ISource -I../../../extLib/eigen3 -I../../../extLib/JUCE -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/67b1adf3/juce_opengl.o ../../../extLib/JUCE/modules/juce_opengl/juce_opengl.cpp

${OBJECTDIR}/Source/DrawComponent.o: Source/DrawComponent.cpp nbproject/Makefile-${CND_CONF}.mk
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DDEBUG=1 -DEIGEN_DONT_ALIGN -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 -DWIN32 -D_WINDOWS -Dfir_float_t=float -Dradio_float_t=float -IJuceLibraryCode -ISource -I../../../extLib/eigen3 -I../../../extLib/JUCE -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/DrawComponent.o Source/DrawComponent.cpp

${OBJECTDIR}/Source/Main.o: Source/Main.cpp nbproject/Makefile-${CND_CONF}.mk
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DDEBUG=1 -DEIGEN_DONT_ALIGN -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 -DWIN32 -D_WINDOWS -Dfir_float_t=float -Dradio_float_t=float -IJuceLibraryCode -ISource -I../../../extLib/eigen3 -I../../../extLib/JUCE -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/Main.o Source/Main.cpp

${OBJECTDIR}/Source/MainComponent.o: Source/MainComponent.cpp nbproject/Makefile-${CND_CONF}.mk
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DDEBUG=1 -DEIGEN_DONT_ALIGN -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 -DWIN32 -D_WINDOWS -Dfir_float_t=float -Dradio_float_t=float -IJuceLibraryCode -ISource -I../../../extLib/eigen3 -I../../../extLib/JUCE -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/MainComponent.o Source/MainComponent.cpp

${OBJECTDIR}/Source/Rbm.o: Source/Rbm.cpp nbproject/Makefile-${CND_CONF}.mk
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DDEBUG=1 -DEIGEN_DONT_ALIGN -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 -DWIN32 -D_WINDOWS -Dfir_float_t=float -Dradio_float_t=float -IJuceLibraryCode -ISource -I../../../extLib/eigen3 -I../../../extLib/JUCE -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/Rbm.o Source/Rbm.cpp

${OBJECTDIR}/Source/RbmComponent.o: Source/RbmComponent.cpp nbproject/Makefile-${CND_CONF}.mk
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DDEBUG=1 -DEIGEN_DONT_ALIGN -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 -DWIN32 -D_WINDOWS -Dfir_float_t=float -Dradio_float_t=float -IJuceLibraryCode -ISource -I../../../extLib/eigen3 -I../../../extLib/JUCE -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/RbmComponent.o Source/RbmComponent.cpp

${OBJECTDIR}/Source/noise.o: Source/noise.c nbproject/Makefile-${CND_CONF}.mk
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.c) -g -IJuceLibraryCode -ISource -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/noise.o Source/noise.c

# Subprojects
.build-subprojects:

# Clean Targets
.clean-conf: ${CLEAN_SUBPROJECTS}
	${RM} -r ${CND_BUILDDIR}/${CND_CONF}

# Subprojects
.clean-subprojects:

# Enable dependency checking
.dep.inc: .depcheck-impl

include .dep.inc
